aboutsummaryrefslogtreecommitdiff
path: root/mkshrc.d/90-prompt.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mkshrc.d/90-prompt.sh')
-rwxr-xr-xmkshrc.d/90-prompt.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/mkshrc.d/90-prompt.sh b/mkshrc.d/90-prompt.sh
new file mode 100755
index 0000000..7449156
--- /dev/null
+++ b/mkshrc.d/90-prompt.sh
@@ -0,0 +1,9 @@
+if [ -x "$(command -v slcp)" ]; then
+ PS1='$(slcp $COLUMNS $?)'
+fi
+
+case "$TERM" in
+ dvtm*|xterm*|rxvt*)
+ PS1+='$(echo -ne "\033]0;${USER}@${HOSTNAME}: ${PWD/$HOME/~}\007")'
+ ;;
+esac